Get an organization member's settings bundle
Returns user_settings, notifications, and (when requested via include) the encrypted user profile and learned preferences for an active org member.
Requires an organization API key with the users:read scope.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer pk_xxx as the authorization header value.
In: header
Path Parameters
user_id*string
Target user ID
Query Parameters
include?string
Comma-separated optional sections: profile, preferences, tags
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/public/users/string/settings"{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}